Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.ejie.r01f.servlet.upload
Interface PartDigester

All Known Implementing Classes:
  DataBaseDigester, SaveToFileDigester

public interface PartDigester

Interfaz que han de implementar las clases digestoras de parts de forms multipart (clase que se encarga de guardar un fichero enviado en un formulario multipart)

Method Summary
`void` | `digestFilePart(FilePart filePart)` Establece un part tipo fichero
`void` | `digestParamPart(ParamPart paramPart)` Establece un part tipo parametro
`java.lang.String` | `getTargetPage()` Devuelve la pagina de salida después de todo el tratamiento
`void` | `setConfig(java.util.Properties props)` Establece valores de configuración del partDigester

Method Detail

### setConfig

    public void setConfig(java.util.Properties props)
                   throws PartDigesterException

  Establece valores de configuración del partDigester

  Parameters:
    `props` - Un mapa con la configuracion
  Throws:
    `PartDigesterException`

### digestParamPart

    public void digestParamPart(ParamPart paramPart)
                         throws PartDigesterException

  Establece un part tipo parametro

  Parameters:
    `paramPart` - Un part tipo parametro normal..
  Throws:
    `PartDigesterException` - si hay algún error durante la digestión

### digestFilePart

    public void digestFilePart(FilePart filePart)
                        throws PartDigesterException

  Establece un part tipo fichero

  Parameters:
    `filePart` - Un part tipo fichero
  Throws:
    `PartDigesterException` - si hay algún error durante la digestión

### getTargetPage

    public java.lang.String getTargetPage()

  Devuelve la pagina de salida después de todo el tratamiento

  Returns:
    la pagina

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD